2024 News & Status

  2024 News & Status

    12 August - JK-1.2.50 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.50. This is a maintenance release.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2023 News & Status

  2023 News & Status

    11 September - JK-1.2.49 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.49. This is a maintenance release.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2020 News & Status

  2020 News & Status

    6 March - JK-1.2.48 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.48. This is a maintenance release.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2018 News & Status

  2018 News & Status

    13 October - JK-1.2.46 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.46. This is a maintenance release.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

    1 September - JK-1.2.44 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.44. This is a maintenance release.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

    6 March - JK-1.2.43 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.43. This is a maintenance release.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2016 News & Status

  2016 News & Status

    5 October - JK-1.2.42 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.42. This is a maintenance release.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2015 News & Status

  2015 News & Status

    11 August - JK-1.2.41 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.41. This is a maintenance and security release.

   This release includes the fix for CVE-2014-8111.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2014 News and Status

  2014 News & Status

    15 April - JK-1.2.40 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.40. This is a stable release concentrating mainly on
   bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

    11 March - JK-1.2.39 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.39. This is a stable release containing both bug
   fixes and few new features like IPV6 support. Note that version 1.2.38 was
   not released due to some minor issues found in release process.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2012 News and Status

  2012 News & Status

    31 May - JK-1.2.37 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.37. This is a stable release concentrating mainly on
   bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

    14 May - JK-1.2.36 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.36. This is a stable release concentrating mainly on
   bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

    24 March - JK-1.2.35 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.35. This is a stable release concentrating mainly on
   bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

    19 March - JK-1.2.33 stability issue

   The Apache Tomcat team wishes to draw your attention to stability issues
   that have been identified with the recent mod_jk 1.2.33 release. If you
   have not yet upgraded to mod_jk 1.2.33 we recommend that you wait for the
   mod_jk 1.2.34 release which is currently in progress. If you have upgraded
   and are experienced issues we recommend that you downgrade to mod_jk
   1.2.32 until mod_jk 1.2.34 is available.

   We apologise for any inconvenience.

    13 March - JK-1.2.33 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.33. This is a stable release concentrating mainly on
   some bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2011 News and Status

  2011 News & Status

    8 July - JK-1.2.32 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.32. This is a stable release concentrating mainly on
   some bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2010 News and Status

  2010 News & Status

    1 November - JK-1.2.31 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.31. This is a stable release concentrating mainly on
   some bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

    1 March - JK-1.2.30 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.30. This is a stable release concentrating mainly on
   some bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

    1 March - JK-1.2.29 withdrawn

   Tomcat Connectors 1.2.29 has been withdrawn because of regression inside
   Microsoft IIS connector.

    26 February - JK-1.2.29 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.29. This is a stable release concentrating mainly on
   some bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   Copyright © 1999-2024, The Apache Software Foundation
2009 News and Status

  2009 News & Status

    22 March - JK-1.2.28 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.28. This is a stable release concentrating mainly on
   some bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   The most important new features in this version are:

  Better Error Detection for Load Balancer Workers

   Local and global error states have been improved. You can fine tune the
   behaviour with the new "error_escalation_time" attribute (see the timeouts
   documentation).

  Dynamic Address and Port Change Using the Status Worker

   The status worker now allows you to change the address and the port of an
   AJP13 worker on the fly. You can e.g. provision dummy workers with a port
   equal to "0", which will be automatically put into stopped mode during
   startup. Later, when you want to actually use these workers, you set their
   address and port to the final values.

   Note that already existing connections will go on using the old address
   and port. This will be improved in future versions.

  New Data in Status Worker Display

   The status worker display now also contains the timestamp of the last
   worker errors.

  Improved Proxy Flexibility

   You can now overwrite more request metadata before the request gets send
   to the backend. This is helpful in case there are other reverse proxies in
   front of your web server. A new documentation page explains this in
   detail.

  Improved IIS Support

   IIS support has been improved especially when using mutltiple application
   pools. Furthermore you can now configure the ISAPI plugin to update the
   uriworkermap.properies file on a regular interval using the watchdog
   thread.

  JNI Worker Deprecation

   Workers of type jni are broken since a long time. Since there is no more
   use for them, they have been deprecated now, and will be removed in a
   future release.

   Copyright © 1999-2024, The Apache Software Foundation
2008 News and Status

  2008 News & Status

    28 October - JK-1.2.27 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.27. This is a stable release adding lots of new
   features and some bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report.

   The most important new features in this version are:

  Watchdog Thread for Periodic Tasks

   The connector has to run some periodic tasks independant of request
   processing. Examples are probing or closing down idle backend connections,
   adjusting load numbers and recovering workers from error state.

   Before version 1.2.27 these tasks were done inside the request processing
   loop. When a new request came in and the task was due, the thread handling
   the request first executed the internal task and then handled the request.
   If there were no requests coming in, the tasks would not run. If any of
   the tasks took unexpectedly long, the response time of the request waiting
   for the finishing of the task went up.

   Starting with this release you can configure a separate watchdog thread
   inside the web server to run all those tasks independantly of request
   processing. This new feature is avaliable for the connector when used with
   Apache httpd 2.x or with Microsoft IIS. To keep the behaviour of the new
   version consistent with previous releases, this feature is turned off by
   default. You can activate the watchdog thread via JkWatchdogInterval for
   Apache or watchdog_interval for IIS.

  Connection Probing

   In previous releases connection probing (checking whether connections
   still work) could only be done immediately after a new connection was
   established and directly before sending each request. Since we now have
   the watchdog thread available, we also added a periodic probing option,
   which you can activate with the worker attribute ping_mode. This will also
   be useful as a protection against the infamous firewall idle connection
   drop.

   The older attributes connect_timeout and prepost_timeout still exist and
   work the same way they did in previous releases. Since there are now three
   different probing options, we recommend to migrate your configuration to
   the newer attributes ping_mode, ping_timeout and connection_ping_interval.

  Mount Extensions

   Usually one defines workers and mounts for the connector. A worker defines
   a backend we want to talk to and the configuration parameters of the
   communication, connection pools etc. The mounts define which URIs we want
   to forward to which worker (so we also call a mount an URI map rule). In
   version 1.2.27 you can overwrite certain worker parameter per mount.

   One easy to understand example is reply timeouts. Until this release you
   had to specify a reply timeout for the whole worker. But reply times
   depend a lot on the type of request. So normally you want to define a
   general reply timeout and for some special URLs you need to relax the
   reply timeout, because you know those URLs take much longer to process
   (like e.g. reporting or other compute intensive tasks).

   Another possible case is the activation status. You might use a load
   balancer worker to forward requests to certain webapps in a farm of Tomcat
   nodes. If you wanted to update some webapp on one node, you previously had
   to stop forwarding requests for all webapps on this Tomcat node. What was
   not possible until now, was stopping forwarding requests restricted to the
   webapp and the node you wanted to update.

   Starting with this release, you can add so-called rule extensions to your
   uriworkermap file to influence worker parameters per mount. This will work
   for all Apache versions and for IIS. Remember, that the uriworkermap file
   automatically gets reloaded after changes without web server restart.

  Improved IIS support

   We improved IIS support im various ways. It is now possible to use
   multiple IIS 6 application pools with the ISAPI redirector.

   Furthermore some improvements were added as compile time features. The
   most notable one is chunked encoding support, which was a major
   refactoring and is therefore still considered experimental. You can
   download binaries with and without chunked encoding support. In future
   versions, chunked encoding will likely be availabe in all builds.

   Another new feature is an elegant way of configuring error page redirects.
   All new features are documented on the documentation page about
   configuring IIS.

  Enhanced Status Worker

   The status worker now can also manage and show statistics for AJP workers
   that are not part of a load balancer. Other improvements are the new dump
   action, the integration of the new configuration attributes, showing
   average request and transfer rates since the last statistics reset and the
   ability to display only a single member of a load balancer.

   Unfortunately we had to change some request parameters used for the update
   action of the status worker.

  Miscellaneous Improvements

   Further enhancements are:
     * Configurable session stickyness indicator: cookie name and URL path
       parameter name can be freely chosen instead of the servlet spec
       compliant JSESSIONID and ;jsessionid.
     * Automatically determining the size of the shared memory segment needed
       to accommodate all workers.
     * New connection establishment timeout socket_connect_timeout.
     * New timeout connection_acquire_timeout for acquiring a free connection
       from the pool.
     * Improved retry handling by adjusting the meaning of the attribute
       retries for AJP workers and for load balancers and by adding the new
       retry_interval.
     * Allowing the web server to provide error pages instead of Tomcat.

   Copyright © 1999-2024, The Apache Software Foundation
2007 News and Status

  2007 News & Status

  21 December - JK-1.2.26 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.26. This is a stable release adding few new features
   and some bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  7 August - JK-1.2.25 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.25. This is a stable release adding new features and
   a few bug fixes.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  27 July - JK-1.2.24 released

   This release has been withdrawn.

     ----------------------------------------------------------------------

  18 May - JK-1.2.23 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.23. This is a stable release adding new features and
   a few bug fixes to version 1.2.23.

   It fixes an Important vulnerability.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  17 April - JK-1.2.22 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.22. This is a stable release adding new features and
   a few bug fixes to version 1.2.22.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  1 March - JK-1.2.21 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.21. This is a stable release adding new features and
   a few bug fixes to version 1.2.20.

   It fixes a Critical vulnerability introduced in version 1.2.19

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

   Copyright © 1999-2024, The Apache Software Foundation
2006 News and Status

  2006 News & Status

  10 December - JK-1.2.20 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.20. This is a stable release adding new features and
   a few bug fixes to version 1.2.19. Furthermore the documentation has been
   reorganised.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  17 September - JK-1.2.19 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.19. This is a stable release adding some features
   and a few bug fixes to version 1.2.18. Furthermore the non-functional code
   trees for isapi and domino have been removed.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  13 July - JK-1.2.18 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Tomcat Connectors 1.2.18. This is a stable release adding a few bug fixes
   to the not released 1.2.17 version.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  JK-1.2.17 not released

   Version 1.2.17 of Tomcat Connectors 1.2.17 has not been released due to a
   bug in the types chosen for socket arguments.

   Please see the ChangeLog for a full list of changes.

     ----------------------------------------------------------------------

  JK-1.2.16 not released

   Version 1.2.16 of Tomcat Connectors 1.2.16 has not been released due to a
   bug in the jk status worker. This version adds some features and a few bug
   fixes to the 1.2.15 version. Furthermore some worker attributes have been
   deprecated.

   Please see the ChangeLog for a full list of changes.

     ----------------------------------------------------------------------

   Copyright © 1999-2024, The Apache Software Foundation
2005 News and Status

  2005 News & Status

  8 November - JK-1.2.15 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Jakarta Tomcat Connectors 1.2.15. This is Stable release and it contains
   few bug fixes found in 1.2.14 version.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  13 July - JK-1.2.14 released

   The Apache Tomcat team is proud to announce the immediate availability of
   Jakarta Tomcat Connectors 1.2.14. This is Stable release and it contains
   few bug fixes found in 1.2.13 version.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  7 May - JK-1.2.13 released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.13. This is development
   release and contains few bug fixes found in 1.2.12 version.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  7 May - JK-1.2.12 released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.12 The release contains a
   significant number of bug fixes and new features.

   We expect it to be ratified as a Stable release when the vote takes place
   in the next week.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  29 April - JK-1.2.11 released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.11 The release contains a
   significant number of bug fixes and new features.

   This version has not been released.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  30 March - JK-1.2.10 released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.10 The release contains a
   significant number of bug fixes and new features.

   We expect it to be ratified as a Stable release when the vote takes place
   in the next two weeks.

   Please see the ChangeLog for a full list of changes.

   Since release 1.2.10 the JkShmFile property has been added for Apache
   1.3.x and Apache 2.x web servers on UNIX and LINUX platforms. Load
   balancer will not work properly if this directive is not present.

   If you find any bugs while using this release, please fill in the Bugzilla
   Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  18 March - JK-1.2.9-beta released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.9-beta. The release contains
   a significant number of bug fixes and new features.

   We expect it to be ratified as a Stable release when the vote takes place
   in the next two weeks.

   Please see the ChangeLog for a full list of changes.

   Since release 1.2.9 the JkShmFile property has been added for Apache 1.3.x
   and Apache 2.x web servers on UNIX and LINUX platforms. Load balancer will
   not work properly if this directive is not present.

   If you find any bugs during testing this release, please fill in the
   Bugzilla Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

   Copyright © 1999-2024, The Apache Software Foundation
2004 News and Status

  2004 News & Status

  17 December - JK-1.2.8 released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.8.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs during testing this release, please fill in the
   Bugzilla Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  17 December - JK-1.2.8-rc-1 released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.8-rc-1 (Relase Canditate 1).

   We expect it to be ratified as a Stable release when the vote takes place
   in the next week.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs during testing this release, please fill in the
   Bugzilla Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  13 December - JK-1.2.7-beta-3 released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.7-beta-3. The release
   contains a fix to few configuration problems detected with JK-1.2.7-beta-2
   version.

   We expect it to be ratified as a Stable release when the vote takes place
   in the next week.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs during testing this release, please fill in the
   Bugzilla Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  7 December - JK-1.2.7-beta-2 released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.7-beta-2. The release
   contains a fix to few compilation problems detected with JK-1.2.7-beta
   version. This release also introduces a new domain concept clustering
   support. See 32317 for details.

   We expect it to be ratified as a Stable release when the vote takes place
   in the next two weeks.

   Please see the ChangeLog for a full list of changes.

   If you find any bugs during testing this release, please fill in the
   Bugzilla Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  30 November - JK-1.2.7-beta released

   The Apache Jakarta Tomcat team is proud to announce the immediate
   availability of Jakarta Tomcat Connectors 1.2.7-beta. The release contains
   a significant number of bug fixes and new features.

   We expect it to be ratified as a Stable release when the vote takes place
   in the next two weeks.

   Please see the ChangeLog for a full list of changes.

   Since release 1.2.7 the socket_timeout property has been renamed to
   recycle_timeout. The socket_timeout now sets the real timeout for socket
   operations.

   If you find any bugs during testing this release, please fill in the
   Bugzilla Bug Report. When entering bug select Native:JK Component.

     ----------------------------------------------------------------------

  15 November - JK2 is officially unsupported

   JK2 has been put in maintainer mode and no further development will take
   place. The reason for shutting down JK2 development was the lack of
   developers interest. Other reason was lack of users interest in adopting
   JK2, caused by configuration complexity when compared to JK.

   The latest official JK2 release is 2.0.4.

   JK2 will have it's successor within core Apache2.1/2.2 distribution. We
   have developed new proxy_ajp that is an addition to the mod_proxy and uses
   Tomcat's AJP protocol stack. It is developped in httpd-2.1 and integrated
   in it. We have also developed a new proxy_balancer module for load
   balancing http and ajp protocol stacks.

   JK will be fully supported for all other web servers. The next JK release
   is planned for the end of November. Lots of code from JK2 has been ported
   to JK

     ----------------------------------------------------------------------

   Copyright © 1999-2024, The Apache Software Foundation
